> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xsdr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Rule



## OpenAPI

````yaml /openapi.json post /api.DeleteRule
openapi: 3.0.0
info:
  description: Real-time event monitoring infrastructure for agents.
  title: XSDR API
  version: '1'
servers:
  - description: Production
    url: https://api.xsdr.app
security:
  - apiKey: []
paths:
  /api.DeleteRule:
    post:
      summary: Delete Rule
      operationId: deleteRule
      requestBody:
        content:
          application/json:
            schema:
              properties:
                rule_id:
                  type: string
              required:
                - rule_id
              type: object
      responses:
        '200':
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````